Bug 850641 - Review Request: perl-AI-Categorizer - Automatic Text Categorization
Review Request: perl-AI-Categorizer - Automatic Text Categorization
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On: 849545 849579 849618 849829
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 01:05 EDT by Mathieu Bridon
Modified: 2012-10-24 04:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 04:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2012-08-22 01:05:10 EDT
Spec URL: http://bochecha.fedorapeople.org/packages/perl-AI-Categorizer.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-AI-Categorizer-0.09-1.fc18.src.rpm

Description:
AI::Categorizer is a framework for automatic text categorization. It
consists of a collection of Perl modules that implement common
categorization tasks, and a set of defined relationships among those
modules. The various details are flexible - for example, you can choose
what categorization algorithm to use, what features (words or otherwise) of
the documents should be used (or how to automatically choose these
features), what format the documents are in, and so on.

Fedora Account System Username: bochecha
Comment 1 Emmanuel Seyman 2012-10-18 18:20:44 EDT
Taking.
Comment 2 Emmanuel Seyman 2012-10-21 13:34:21 EDT
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items

I strongly recommand you include the perl default filter in your spec file.
https://fedoraproject.org/wiki/Perl_default_filter

 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4612607

 [!] Rpmlint output:

perl-AI-Categorizer.noarch: E: script-without-shebang /usr/share/perl5/vendor_perl/AI/Categorizer/Learner/KNN.pm
perl-AI-Categorizer.noarch: E: script-without-shebang /usr/share/perl5/vendor_perl/AI/Categorizer/Learner/Guesser.pm
2 packages and 1 specfiles checked; 2 errors, 0 warnings.

Perl modules do not need their executable bits set. Please fix this.

 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic

 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
a35d5af19ae0d9ddd0a800b7172a0750  AI-Categorizer-0.09.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [!] Permissions on files are set properly.

See above

 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide-x86_64

 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4612607
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=14, Tests=242,  1 wallclock secs ( 0.09 usr  0.02 sys +  0.77 cusr  0.10 csys =  0.98 CPU)
Result: PASS

Note that some of the versionned dependencies dont make sense (how long
has it been since we had perl < 5.6.0 in our repos ?) but I won't block
on this.

Fix the rights on some of these files and you're good to go.
Comment 3 Mathieu Bridon 2012-10-21 23:59:43 EDT
(In reply to comment #2)
> I strongly recommand you include the perl default filter in your spec file.
> https://fedoraproject.org/wiki/Perl_default_filter

I keep forgetting that one. >_<

> Note that some of the versionned dependencies dont make sense (how long
> has it been since we had perl < 5.6.0 in our repos ?) but I won't block
> on this.

That was all generated by cpanspec out of the META.yaml file. I agree with you some are overkill, but they don't hurt, and if upstream feels they are important, I'd rather leave them in (but I'd remove them if you feel strongly against them).

> Fix the rights on some of these files and you're good to go.

I would have thought this would be handled by the %{_fixperms} macro. :-/

Anyway, both issues are fixed.

Spec URL: http://bochecha.fedorapeople.org/packages/perl-AI-Categorizer.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-AI-Categorizer-0.09-2.fc19.src.rpm
Comment 4 Emmanuel Seyman 2012-10-22 05:44:59 EDT
Perl default filter is now included.

Rpmlint now gives me a warning:
perl-AI-Categorizer.src: W: strange-permission AI-Categorizer-0.09.tar.gz 0444L
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Please fix this on checkin.

PASS
Comment 5 Mathieu Bridon 2012-10-22 06:00:42 EDT
Thanks for the review Emmanuel!

New Package SCM Request
=======================
Package Name: perl-AI-Categorizer
Short Description: Automatic Text Categorization
Owners: bochecha
Branches: devel
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2012-10-22 08:04:24 EDT
Git done (by process-git-requests).
Comment 7 Mathieu Bridon 2012-10-24 04:37:58 EDT
Thanks for the SCM Jon!

Package built in Rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.